﻿export default [
  {
    path: '/user',
    layout: false,
    routes: [
      {
        name: '登录',
        path: '/user/login',
        component: './user/Login',
      },
      {
        name: '注册',
        path: '/user/register',
        component: './user/Register',
      },
      {
        component: './404',
      },
    ],
  },

  {
    path: '/account',
    routes: [
      {
        name: '个人中心',
        path: '/account/center',
        component: './user/Info',
      },
      {
        name: '个人中心',
        path: '/account/password',
        component: './user/Password',
      },
      {
        component: './404',
      },
    ],
  },
  {
    path: '/welcome',
    name: '欢迎',
    icon: 'HomeOutlined',
    component: './Welcome',
  },
  {
    path: '/paperManager',
    name: '问卷管理',
    icon: 'ProfileOutlined',
    access: 'canAccessPaper',
    component: './paperM/List',
  },
  {
    path: '/report',
    name: '报告管理',
    icon: 'LineChartOutlined',
    access: 'canAccessReport',
    component: './report/List',
  },
  {
    path: '/question',
    icon: 'ProfileOutlined',
    access: 'canAccessPaper',
    parentKeys: ['/paperManager'],
    component: './paperM/ListQuestion',
  },
  {
    path: '/paper360',
    icon: 'ProfileOutlined',
    access: 'canAccessPaper',
    parentKeys: ['/paperManager'],
    component: './paperM/ListPaper360',
  },
  {
    path: '/paperResult',
    icon: 'ProfileOutlined',
    access: 'canAccessPaper',
    parentKeys: ['/paperManager'],
    component: './paperM/PaperResult',
  },
  {
    path: '/tag',
    name: '标签管理',
    icon: 'TagOutlined',
    component: './tag/List',
    access: 'canAccessTag',
  },
  {
    path: '/contact',
    name: '联系人管理',
    icon: 'WhatsAppOutlined',
    access: 'canAccessContact',
    component: './contact/List',
  },
  {
    path: '/institutionUsers',
    name: '企业用户',
    icon: 'UserOutlined',
    access: 'canAccessIUser',
    component: './user/IList',
  },
  {
    path: '/platformUsers',
    name: '平台用户',
    icon: 'UserSwitchOutlined',
    access: 'canAccessPUser',
    component: './user/PList',
  },
  {
    path: '/institution',
    name: '企业管理',
    access: 'canAccessInstitution',
    icon: 'ClusterOutlined',
    component: './institution/List',
  },
  {
    path: '/institutionInfo',
    name: '企业信息',
    access: 'canAccessInstitutionInfo',
    icon: 'ClusterOutlined',
    component: './institution/Edit',
  },
  {
    path: '/home',
    redirect: '/',
  },
  {
    path: '/',
    layout: false,
    hideInMenu: true,
    component: './Home',
  },
  {
    path: '/caseList',
    layout: false,
    hideInMenu: true,
    component: './homeX/CaseList',
  },
  {
    path: '/article/:id',
    layout: false,
    hideInMenu: true,
    component: './homeX/CaseDetail',
  },
  // {
  //   path: '/partner',
  //   layout: false,
  //   hideInMenu: true,
  //   component: './homeX/Partner',
  // },
  // {
  //   path: '/contactUs',
  //   layout: false,
  //   hideInMenu: true,
  //   component: './homeX/Contact',
  // },
  // {
  //   path: '/privacy',
  //   name: '隐私政策',
  //   layout: false,
  //   hideInMenu: true,
  //   component: './Privacy',
  // },
  // {
  //   path: '/about',
  //   name: '关于我们',
  //   layout: false,
  //   hideInMenu: true,
  //   component: './homeX/About',
  // },
  // {
  //   path: '/agreement',
  //   name: '用户协议',
  //   layout: false,
  //   hideInMenu: true,
  //   component: './Agreement',
  // },
  // {
  //   path: '/taskList',
  //   name: '评价任务',
  //   layout: false,
  //   hideInMenu: true,
  //   component: './TaskList',
  // },
  // {
  //   path: '/enroll',
  //   name: 'enroll',
  //   layout: false,
  //   hideInMenu: true,
  //   routes: [
  //     {
  //       path: '/enroll/login',
  //       name: '报名',
  //       component: './enroll/mobile/Login',
  //     },
  //     {
  //       path: '/enroll/detail',
  //       name: '报名',
  //       component: './enroll/mobile/Detail',
  //     },
  //   ],
  // },
  // {
  //   path: '/paper',
  //   name: 'paper',
  //   layout: false,
  //   hideInMenu: true,
  //   routes: [
  //     {
  //       path: '/paper/login',
  //       name: '登录',
  //       component: './paper/mobile/Login',
  //     },
  //     {
  //       path: '/paper/mobile/detail',
  //       name: '问卷',
  //       component: './paper/mobile/Detail',
  //     },
  //     {
  //       path: '/paper/mobile/question',
  //       name: '问卷',
  //       component: './paper/mobile/Question',
  //     },
  //     {
  //       path: '/paper/detail',
  //       name: '问卷',
  //       component: './paper/pc/Detail',
  //     },
  //     {
  //       path: '/paper/result',
  //       name: '问卷',
  //       component: './paper/Result',
  //     },
  //     {
  //       component: './404',
  //     },
  //   ],
  // },
  {
    component: './404',
  },
];
