import React from 'react';
import {Space} from "antd";
import Cookies from "js-cookie";


export const PartnerListDataSource = [
  {
    "id": 0,
    "name": "赵芳",
    "enName": "Frances Zhao",
    "title": "合伙人、组织变革及人力资源专家",
    "photo": "https://hi-po.oss-cn-beijing.aliyuncs.com/img/web/photo2.jpg",
    "content": "<div>" +
      "            <p>在战略、组织和人力资源领域拥有逾17年的管理咨询和实践经验，包括<b>12年咨询经验以及5年在知名企业的实战管理经验</b>，在战略澄清与战略解码、组织诊断与组织能力建设、组织架构与管控模式优化、岗位薪酬绩效体系建设、领导力发展与企业文化打造、合伙人机制与股权激励设计等方面，有着深刻见解和丰富的实战经验。致力于高效解决客户的问题并成功推动落地。</p>\n" +
      "            <p>在咨询生涯中，先后在三家知名跨国管理咨询公司<b>合益集团（Hay Group）、怡安翰威特（Aon Hewitt）以及毕马威管理咨询（KPMG）</b>\n" +
      "              ，担任资深顾问及咨询总监等职务，率领团队为众多国企、民企、外企提供咨询服务，还曾任阿里巴巴旗下企业的管理职务，并担任多家上市公司和创业企业高管层的长期顾问。</p>\n" +
      "            <p><b>曾为数十家国有、民营、外资的领先企业提供过管理咨询服务</b>，包括中国国际航空公司、中交集团、中国中铁、中建三局、中建二局、通用技术集团、中联水泥、五矿钢铁、天津食品集团、黑龙江森工集团、中石油勘探开发公司、中化勘探、首汽租车、海尔集团、京东、百度、甲乙丙丁集团、神玥软件、瑞行集团、日丰集团、富思特、百洋医药、大众中国、宝马中国、奔驰中国、雷诺中国、诺华、蒂普拓普等</p>\n" +
      "            <p><b>近期作为主引导师提供战略解码、组织解码、人才解码等服务的部分客户</b>：某大型国有企业战略解码、某生产制造企业战   、中国连锁经营协会等机构合作，在线上线下论坛、公开培训等担任演讲嘉宾和讲师，进行关于战略地图、数字化转型、企业降本增效、股权激励与合伙人机制、人才盘点等诸多主题的培训演讲。</p>\n" +
      "            <p>南开大学硕士，国际STC（系统性团队教练）认证企业教练，战略解码资深引导师，素质建模与BEI认证专家。多次与HRA、中国连锁经营协会等机构合作，在线上线下论坛、公开培训等担任演讲嘉宾和讲师，进行关于战略地图、数字化转型、企业降本增效、股权激励与合伙人机制、人才盘点等诸多主题的培训演讲。</p>\n" +
      "          </div>",
  },
  {
    "id": 1,
    "name": "吕守升",
    "enName": "Samson Lv",
    "title": "创始人、战略解码专家",
    "photo": "https://hi-po.oss-cn-beijing.aliyuncs.com/img/web/photo1.jpg",
    "content": "<div>\n" +
      "            <p><b>高潜咨询公司创始合伙人</b>，中外企业人力资源协会（HRA）名誉会长；京东集团长期专家顾问；两家千亿级上市公司董事长顾问、五家央国企及民企上市公司独董；CHO100常务理事、国家科技部专家库成员。</p>\n" +
      "            <p>曾任京东集团副总裁、亚信科技公司高级副总裁、潍柴集团副总经理、金山软件集团高级副总裁兼执委、合益集团（HAY\n" +
      "              GROUP）中国区咨询总监等职务。\n" +
      "            </p>\n" +
      "            <p>美国伊利诺伊大学工商管理硕士毕业，哈佛大学-Hay麦克里兰中心认证讲师，北京大学国家发展研究院MBA职业导师与兼职教授。</p>\n" +
      "            <p>擅长领域：战略管理、组织变革及人力资源管理。著有畅销书<b>《战略解码：跨越战略与执行的鸿沟》，是“战略解码®”方法体系的创始人及商标持有者。</b></p>\n" +
      "            <p>多次给国务院国资委及省市国资委企业领导人授课。辅导的中外大型企业超过50余家。</p>\n" +
      "          </div>",
  },
  {
    "id": 2,
    "name": "郭宇",
    "enName": "RoyGuo",
    "title": "合伙人、战略及财经专家",
    "photo": "https://hi-po.oss-cn-beijing.aliyuncs.com/img/web/photo4.jpg",
    "content": "<div>\n" +
      "            <b>背景介绍：</b>\n" +
      "            <p>\n" +
      "              高潜咨询合伙人、中国注册税务师、ACCA、会计学硕士;\n" +
      "              在中国黄金集团任职多年，曾担任所属香港上市公司财务总监;\n" +
      "              在多家互联网创业公司担任高管，负责投融资、战略与并购相关工作;\n" +
      "              在IBM管理咨询部的FMS和BS部门服务多年;\n" +
      "              拥有丰富的战略、财务、组织、融资与IPO工作经验。\n" +
      "            </p>\n" +
      "            <b>专业领域：</b>\n" +
      "            <p>\n" +
      "              战略规划、运营计划管理、战略绩效体系、商业价值估值、变革与创新；\n" +
      "              全面预算、成本管理、企业管控模式、财务测算模型与绩效管理；\n" +
      "              国际会计准则与中国会计准则、财务能力评价、公司治理、内部控制、资金管理。\n" +
      "            </p>\n" +
      "            <b>擅长和行业领域：</b>\n" +
      "            <p>\n" +
      "              互联网医疗、电子制造业行业、新零售、SaaS等TMT行业。\n" +
      "            </p>\n" +
      "          </div>",
  },
  {
    "id": 3,
    "name": "吴政铎",
    "enName": "Benny Wu",
    "title": "合伙人、组织、人才和领导力专家",
    "photo": "https://hi-po.oss-cn-beijing.aliyuncs.com/img/web/photo6.jpg",
    "content": "<p><strong>专业领域：</strong></p><p>近20 年人力资源和领导力相关咨询经验，有着丰富的甲、乙方工作经历，对人力资源各个模块有全面了解，擅长人才战略、组织发展、干部管理、培训体系建设、专业人才建设等，对国内企业领导力建设有较为深入的理解，近几年重点研究企业数字化转型对组织、人才、文化的挑战。</p><p><strong>事业履历：</strong></p><p>曾任四大领导力与人才发展业务合伙人、外资人力咨询公司领导力首席顾问、国内互联网大厂干部管理和人才发展负责人、国内行业知名先进制造企业人力资源总经理等。负责过5万人+的人力资源管理体系，管理过近百人的人力资源管理团队，参与过数十个大型公司干部管理及领导力发展项目，掌握和认证过多种人才测评工具，具备丰富的领导力授课经验。</p><p><br></p>",
  },
  {
    "id": 4,
    "name": "高杨",
    "enName": "Karen Gao",
    "title": "合伙人、人力资源管理专家",
    "photo": "https://hi-po.oss-cn-beijing.aliyuncs.com/img/web/photo5.jpg",
    "content": "<p><strong>擅长领域：</strong></p><p>专注组织效率与人才发展，擅长帮助企业在快速成长及变革期设计及优化组织架构、搭建人力资源体系、提升企业运营效率、选拔高潜人才。DDI目标选才：面试官(TSI)认证，DDI卓越讲师培养(FSW)认证讲师</p><p><strong>事业履历：</strong></p><p>曾在梦想加空间、合益集团(Hay Group)、 DDI中国、辉瑞制药担任人力资源及运营负责人、领导力顾问及培训发展经理。主导领导力项目设计、人才评鉴、薪酬与绩效管理体系设计、职级体系搭建等项目。在咨询公司工作期间，主导领导力项目设计、人才评鉴、薪酬与绩效管理体系设计、职级体系搭建等项目；在互联网+商业地产运营、人力资源咨询、医药等行业工作期间，她结合咨询背景和企业实际情况，深入到业务层诊断并解决快速发展期企业的组织发展问题，通过组织能力打造、领导力训练和辅导赋能成就领导者。</p><p><br></p>",
  },
]


export const ArticleListDataSource = [
  {
    "id": 0,
    "title": "跨越战略与执行的鸿沟，实现战略管理的PDCA闭环",
    "author": "吕守升",
    "digest": "F公司始创于上个世纪90年代初，是集建筑涂料、外墙保温系统等相关产品的研发、生产、销售和施工技术服务为一体的现代化企业。2008年通过收购某国资背景公司实现企业规模快速扩展，多年来秉承“精准、精专、精进”的理念，在业内享有盛誉，在竞争激烈的行业内始终拥有一席之地。",
    "content": "<p><span style=\"font-family: 宋体;\">一、项目背景</span></p><p><span style=\"font-family: 宋体;\">F公司始创于上个世纪90年代初，是集建筑涂料、外墙保温系统等相关产品的研发、生产、销售和施工技术服务为一体的现代化企业。2008年通过收购某国资背景公司实现企业规模快速扩展，多年来秉承“精准、精专、精进”的理念，在业内享有盛誉，在竞争激烈的行业内始终拥有一席之地。 &nbsp; </span></p><p><span style=\"font-family: 宋体;\">但一个又一个的“黑天鹅”，让这个本就竞争激烈的行业变得更加严峻......</span></p><p><span style=\"font-family: 宋体;\">受国际国内大环境的影响，涂料原材料价格大幅上涨，叠加国家相关政策变化，导致各生产要素成本上升。又加之市场上相关产品高度相似，所以各厂商纷纷打响“价格战”，以价格换市场，导致整个行业出现了“增收不增利”的情况。</span></p><p><span style=\"font-family: 宋体;\">随着21年开始的房企频频暴雷，建材企业深受其害。因建材企业议价能力弱，易产生大额应收账款，债务风险较大，故而建材企业开始谨慎开拓地产大宗业务，逐步摆脱依赖。</span></p><p><span style=\"font-family: 宋体;\"> </span></p><p><span style=\"font-family: 宋体;\">二、问题诊断</span></p><p><span style=\"font-family: 宋体;\">综合高潜团队对涂料行业进行的外部调研分析，以及对F公司内部核心领导的深度访谈，了解到F公司现在面临着以下困境和挑战：</span></p><p><span style=\"font-family: 宋体;\">1. 业务挑战：</span></p><p><span style=\"font-family: 宋体;\">a) 整体业务布局规划和致胜策略不清晰：</span></p><p><span style=\"font-family: 宋体;\">b) 经销商及零售渠道薄弱：</span></p><p><span style=\"font-family: 宋体;\">c) 服务及产品研发和生产降本迫在眉睫。</span></p><p><span style=\"font-family: 宋体;\">2. 管理挑战：</span></p><p><span style=\"font-family: 宋体;\">a) 缺少一套行之有效的战略落地方法：</span></p><p><span style=\"font-family: 宋体;\">b) 前中后台各部门之间，缺少一套高效的协同机制：</span></p><p><span style=\"font-family: 宋体;\">c) 内部缺少人才培养意识及人才培养体系：</span></p><p><span style=\"font-family: 宋体;\">d) 关键事项缺少突破性策略和打法。</span></p><p><span style=\"font-family: 宋体;\">整体来看，F公司和中国本土大多数民营企业一样，历经20余年的发展和变革，发展的动力中，有较强的“拉力”——战略和品牌规划，但是缺乏足够的“推力”——战略配套的制度机制和相关的组织能力。</span></p><p><span style=\"font-family: 宋体;\"> </span></p><p><span style=\"font-family: 宋体;\">三、解决方案</span></p><p><span style=\"font-family: 宋体;\">基于前期的沟通了解，高潜咨询项目团队以“RIDER模型”为基础，以战略解码为核心，为F公司提供了“调研分析+战略澄清+战略解码+PPC 评议+跟踪复盘”的定制服务。</span></p><p><img src=\"file:///C:\\Users\\fan\\AppData\\Local\\Temp\\ksohtml29836\\wps1.jpg\" alt=\"\" data-href=\"\" style=\"\"/><span style=\"font-family: 宋体;\"> </span><img src=\"https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-3-1.jpg\" alt=\"\" data-href=\"\" style=\"\"/></p><p><span style=\"font-family: 宋体;\">调研分析：通过外部调研明晰现阶段F公司所处的行业环境，通过内部调研深刻了解组织管理难题，找寻公司痛点，为战略澄清会提供输入。</span></p><p><span style=\"font-family: 宋体;\"> </span></p><p><span style=\"font-family: 宋体;\">战略澄清会：帮助F公司高效地厘清战略并达成共识。</span></p><p><span style=\"font-family: 宋体;\"> </span></p><p><span style=\"font-family: 宋体;\">战略解码会：将F公司未来三年的“战略蓝图”进行拆分，形成今年的若干场“年度硬仗”以及与之对应的衡量指标和行动计划及责任人，确保同中长期目标、主要战场、致胜策略等一脉相承，沿着公司未来三年规划的轨道进行发展。</span></p><p><span style=\"font-family: 宋体;\"> </span></p><p><span style=\"font-family: 宋体;\">PPC评议会：将F公司战略落入绩效和考核的关键环节之一。该会议对年度个人绩效合约（PPC）展开充分沟通，让参会人员相互讨论与挑战。战略解码所形成的年度硬仗的行动计划和各项衡量指标需要落实到每个人身上，它们通过PPC联结起来。</span></p><p style=\"text-align: center;\"><img src=\"https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-3-2.jpg\" alt=\"\" data-href=\"\" style=\"\"></p><p style=\"text-align: center;\"><img src=\"https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-3-3.jpg\" alt=\"\" data-href=\"\" style=\"\"></p><p style=\"text-align: center;\"><img src=\"https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-3-4.jpg\" alt=\"\" data-href=\"\" style=\"\"></p><p style=\"text-align: center;\"><img src=\"https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-3-5.jpg\" alt=\"\" data-href=\"\" style=\"\"></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体;\">F公司战略解码系列会现场照片</span></p><p><span style=\"font-family: 宋体;\"> </span></p><p><span style=\"font-family: 宋体;\">四、项目关键成效</span></p><p><span style=\"font-family: 宋体;\">从2022年10月份高潜团队进入F公司开始到23年1月份，用时4个月的时间，形成了丰富的成果。</span></p><p><strong>关键成效一：厘清未来三年的战略方向</strong></p><p style=\"text-align: center;\"><img src=\"https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-3-6.jpg\" alt=\"\" data-href=\"\" style=\"\"><img src=\"file:///C:\\Users\\fan\\AppData\\Local\\Temp\\ksohtml29836\\wps6.jpg\" alt=\"\" data-href=\"\" style=\"\"><span style=\"font-family: 宋体;\"> </span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">在战略澄清会中，F公司着眼于2023-2025年，对公司未来的若干战略要素进行了讨论和梳理，明晰了公司未来发展的方向：</span></p><p style=\"text-align: center;\"><img src=\"file:///C:\\Users\\fan\\AppData\\Local\\Temp\\ksohtml29836\\wps7.jpg\" alt=\"\" data-href=\"\" style=\"\"><span style=\"font-family: 宋体;\"> </span><img src=\"https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-3-7.jpg\" alt=\"\" data-href=\"\" style=\"\"></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体;\">F公司致胜策略三年行动计划</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">此外，高潜围绕着F公司的三年战略目标、主要战场、致胜策略、需要加强的能力建设和三年行动计划等关键战略要素进行了澄清，形成了F公司的战略屋。</span></p><p style=\"text-align: center;\"><img src=\"https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-3-8.jpg\" alt=\"\" data-href=\"\" style=\"\"><img src=\"file:///C:\\Users\\fan\\AppData\\Local\\Temp\\ksohtml29836\\wps8.jpg\" alt=\"\" data-href=\"\" style=\"\"><span style=\"font-family: 宋体;\"> </span></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体;\">F公司战略屋示例</span></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体;\"> </span></p><p><strong>关键成效二：为诸多管理难题和业务困境提出了解决方案</strong></p><p style=\"text-align: center;\"><img src=\"https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-3-9.jpg\" alt=\"\" data-href=\"\" style=\"\"><img src=\"file:///C:\\Users\\fan\\AppData\\Local\\Temp\\ksohtml29836\\wps9.jpg\" alt=\"\" data-href=\"\" style=\"\"><span style=\"font-family: 宋体;\"> </span></p><p><span style=\"font-family: 宋体;\">在战略解码会中，高潜团队带领F公司的管理层和业务骨干将澄清会中的成果（三年战略目标、致胜策略、要培养的组织能力）运用一套科学有效的方法进行分解，并针对公司现阶段的诸多问题，形成了与之对应的8场“2023年度必赢之战”，并借助集体的力量针对每场硬仗编写了行动计划。</span></p><p style=\"text-align: center;\"><img src=\"file:///C:\\Users\\fan\\AppData\\Local\\Temp\\ksohtml29836\\wps10.jpg\" alt=\"\" data-href=\"\" style=\"\"><span style=\"font-family: 宋体;\"> </span><img src=\"https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-3-10.jpg\" alt=\"\" data-href=\"\" style=\"\"></p><p style=\"text-align: center;\"><strong>F公司8场硬仗行动计划示例</strong></p><p><span style=\"font-family: 宋体;\"> </span></p><p><strong>关键成效三：形成了一套能链接战略和个人绩效的考核制度</strong></p><p style=\"text-align: center;\"><img src=\"https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-3-11.jpg\" alt=\"\" data-href=\"\" style=\"\"><img src=\"file:///C:\\Users\\fan\\AppData\\Local\\Temp\\ksohtml29836\\wps11.jpg\" alt=\"\" data-href=\"\" style=\"\"><strong> </strong></p><p style=\"text-align: center;\"><img src=\"file:///C:\\Users\\fan\\AppData\\Local\\Temp\\ksohtml29836\\wps12.jpg\" alt=\"\" data-href=\"\" style=\"\"><span style=\"font-family: 宋体;\"> </span></p><p><strong>关键成效四：导入了一套针对硬仗追踪的“复盘体系”</strong></p><p style=\"text-align: center;\"><img src=\"file:///C:\\Users\\fan\\AppData\\Local\\Temp\\ksohtml29836\\wps13.jpg\" alt=\"\" data-href=\"\" style=\"\"><span style=\"font-family: 宋体;\"> </span><img src=\"https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-3-12.jpg\" alt=\"\" data-href=\"\" style=\"\"></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体;\"> </span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">五、客户评价</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">F公司董事长：</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">我们也请过其他的大牌咨询公司，但是与高潜的战略解码相比，我认为这套方法更胜一筹，它有很强的落地性、实操性，是可以真正地帮助到F公司，是我们能学会、能用好的一套方法。今年是2022年，再过3年就是我们公司成立的30周年，我希望战略解码可以陪伴、帮助我们在2025年书写一个美丽的传说。</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\"> </span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">F公司联合创始人：</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">战略怎么落地一直是困扰我们的难题，我相信一定还有很多其他同F公司一样的民营企业面临相同的困扰。战略解码这套理论方法就是答案，每一环节，每一个步骤，每一个元素都围绕着“落地”两个字。</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\"> </span></p><p><span style=\"font-family: 宋体;\">F公司总经理：</span></p><p><span style=\"font-family: 宋体;\">这套理论和方式打开了我们新世界大门，比起我们自己“照猫画虎”做的那一套，高潜团队的方法确实更加落地，更加科学。吕守升先生不愧是战略解码方法的原创者。</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\"> </span></p><p><span style=\"font-family: 宋体;\">F公司PMO负责人：</span></p><p><span style=\"font-family: 宋体;\">我第一次负责战略落地办公室的PMO，以前从未有过这样的工作经历，一开始我是毫无头绪的，但是和高潜团队合作的这段时间，我确实学到了很多理论和方法，耳目一新。高潜公司的赵芳老师和顾问团队对我的悉心指导，在整个战略解码、PPC制定和后续PMO管理过程中给予了非常大的帮助，有了他们的帮助我才有信心推进整个过程。</span></p><p><span style=\"font-family: 宋体;\"> </span></p><p><span style=\"font-family: 宋体;\">六、解码后记</span></p><p><span style=\"font-family: 宋体;\">“吞舟之鲸不行支流”这句话挂在公司大厅最显眼的地方，“绝不以眼前的利益出卖未来”是在F公司管理者之中最常听到的一句话。正如该公司创始人、董事长G先生所说：“F公司的发展，是秉承着——对未来负责，为客户负责，对行业生态伙伴负责，对产品品质负责的精神动力，在一路披荆斩棘中成长。”</span></p><p><br></p>",
    "coverUrl": "https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-3-1.jpg",
    "createTime": "2023-08-17 10:20"
  },
  {
    "id": 1,
    "title": "在行业低迷的形势下，R集团如何穿越战略迷雾？",
    "author": "吕守升",
    "digest": "R集团系南方某知名大型建材产业集团，其主营业务为新型塑料管道的研发、生产与推广应用。从成立以来，集团一直秉持着稳健的经营理念，坚持产品质量胜过一切，品牌美誉响遍全国。 ",
    "content": "<p><span style=\"font-family: 宋体;\">一、案例背景</span></p><p><span style=\"font-family: 宋体;\">R集团系南方某知名大型建材产业集团，其主营业务为新型塑料管道的研发、生产与推广应用。从成立以来，集团一直秉持着稳健的经营理念，坚持产品质量胜过一切，品牌美誉响遍全国。</span></p><p><span style=\"font-family: 宋体;\">但是，变幻莫测的市场始终充斥着不确定性......</span></p><p><span style=\"font-family: 宋体;\">从产业环境来看，作为房地产的下游行业，R集团面对着房地产及其政策近些年的变化，其所在管道行业也免不了受到直接波及，而城镇化率逐渐提高、人口出生率持续下降、老龄化趋势显著、新房市场增速减缓、存量房时代逐渐到来、地方财政压力越发增大、全球通胀压力不断增强、企业成本越发高涨......诸多因素叠加，无疑为R集团的未来发展及规划增添了许多不确定性。</span></p><p><span style=\"font-family: 宋体;\">从行业内部来看，建筑装饰市场近年来已然告别了两位数增长的黄金年代，但仍保持稳定的增长，而细分到塑料管道行业，自2014年后，该行业就进入了个位数增长时代，行业进入稳定发展期，头部企业逐渐集聚，行业集中度愈来愈高，呈现典型的金字塔结构，龙头优势较为显著，因此，如何在如此强烈的竞争格局中继续保持稳定增长，又如何在“想做（激情）、可做（规律）、能做（擅长）”的三类事中找到平衡点，也是R集团一直在思考的“心头难”。</span></p><p><span style=\"font-family: 宋体;\">从内部管理来看，2022年对R集团而言也是不平凡的一年。新一代领导人全权接棒集团，但受限于以往负责业务类型不同，加上个人时间与精力有限，对外面临着变化速度极快的市场，对内又面临着团队的磨合，因此，领导人无法较全面了解一线市场情况，对客户需求、联盟合作以及团队共识等方面的意识提升虽有心，但无力......</span></p><p><span style=\"font-family: 宋体;\"> </span></p><p><span style=\"font-family: 宋体;\">二、问题诊断</span></p><p><span style=\"font-family: 宋体;\">综合前述背景，机遇与挑战并存的市场环境给R集团业务发展带来了以下主要挑战：</span></p><p><span style=\"font-family: 宋体;\">1. 业务挑战</span></p><p><span style=\"font-family: 宋体;\">a) C端增量业务困扰：</span></p><p><span style=\"font-family: 宋体;\">b) 市政业务两难境地：</span></p><p><span style=\"font-family: 宋体;\">c) 海外策略不够清晰：</span></p><p><span style=\"font-family: 宋体;\">d) 创新业务机制缺乏。</span></p><p><span style=\"font-family: 宋体;\">2. 管理挑战</span></p><p><span style=\"font-family: 宋体;\">a) 内部共识度待提高：</span></p><p><span style=\"font-family: 宋体;\">b) 战略规划较难落地：</span></p><p><span style=\"font-family: 宋体;\">c) 战略闭环效果不佳：</span></p><p><span style=\"font-family: 宋体;\"> </span></p><p><span style=\"font-family: 宋体;\">三、解决方案</span></p><p><span style=\"font-family: 宋体;\">世界终会向那些有目标和远见的人让路。</span></p><p><span style=\"font-family: 宋体;\">在经过多方对比后，R集团最终选择了高潜作为其合作伙伴，希望借助战略解码相关理念与方法，穿越战略迷雾。</span></p><p><span style=\"font-family: 宋体;\">基于前期的沟通了解，高潜咨询项目团队以战略管理的“RIDER模型”为基础，围绕战略解码为核心，为R集团提供了“调研分析+战略澄清+战略解码”的定制服务。</span></p><p style=\"text-align: center;\"><img src=\"file:///C:\\Users\\fan\\AppData\\Local\\Temp\\ksohtml29836\\wps14.jpg\" alt=\"\" data-href=\"\" style=\"\"><span style=\"font-family: 宋体;\"> </span><img src=\"https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-4-1.jpg\" alt=\"\" data-href=\"\" style=\"\"></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">四、项目成效</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">历时近3个月，通过高潜咨询提供的战略解码系列解决方案，R集团产出了丰富的战略成果，最终在厘清战略方向、形成高管共识、凝聚团队士气、增强必胜信心方面达到了非常好的效果。</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\"> </span></p><p style=\"text-align: left;\"><strong>项目成效一：厘清战略方向</strong></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">本次R集团战略解码项目，围绕着集团2023-2025要实现的战略目标，首先对其主要战场、致胜策略、核心组织能力打造及前中后台支持保障等重要战略内容进行了深入研讨与梳理，厘清了集团未来的战略方向。其次针对性地对R集团的C端业务、市政业务、海外事业及卫浴事业的发展目标、发展原则与衡量标准分别进行了澄清，并形成了各业务的发展策略，最终形成了R集团的战略屋。</span></p><p style=\"text-align: center;\"><img src=\"https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-4-2.jpg\" alt=\"\" data-href=\"\" style=\"\"><span style=\"font-family: 宋体;\"> </span></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体;\">R集团战略屋示例</span></p><p style=\"text-align: left;\"><strong>项目成效二：形成高管共识</strong></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">本次R集团战略解码的所有成果，均采用集体研讨的方式得出：一方面，所有主题的研讨均有前期调研内容做信息输入与论据支撑，另一方面，每一项研讨结果都是在顾问的引导下，管理者们自己得出，并在现场进行了反复挑战。因此，最后形成的战略成果与制定的行动计划实质上汇集了大家的智慧与雄心，代表了大家心中“一致的声音”，也更加贴合集团的实际，并且更容易落实到位。</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\"> </span></p><p style=\"text-align: left;\"><strong>项目成效三：凝聚团队士气、增强必胜信心</strong></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">本次战略解码，一方面，顾问与集团内部人员在前期进行了大量的调研与实地走访，让大家对内外部的情况有了清晰的认识，看到了自己的差距的同时也明晰了自己的优势，另一方面，从战略澄清到战略解码，高潜顾问引导着大家一步步将集团的目标分解下来，并将之细化到每一项行动，并明确了每一项行动的里程碑、衡量指标及需要的资源支持，让整个团队有了清晰的行动方向与举措，极大地凝聚了团队士气，增强了打胜仗的信心。</span></p><p style=\"text-align: center;\"><img src=\"https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-4-3.jpg\" alt=\"\" data-href=\"\" style=\"\"><img src=\"file:///C:\\Users\\fan\\AppData\\Local\\Temp\\ksohtml29836\\wps16.png\" alt=\"\" data-href=\"\" style=\"\"><span style=\"font-family: 宋体;\"> </span></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体;\">R集团硬仗行动计划示例</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\"> </span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">五、案例启示</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">回顾R集团战略解码历程，拉通共识、强调落地以及力寻突破是整个过程最为重要的三件事情，也是R集团本次战略解码能做得如此成功的三个关键点。</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\"> </span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">关键点1：拉通共识</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">力出一孔，使命方能必达，若无共识，好比四面拔河拉扯，最终只能原地自伤元气。</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">无论战略澄清会还是战略解码会，高潜咨询都致力于让R集团管理者们对各种关键问题达成共识，如此，才能基于前期的调研论据下产出“3”类主要战场、“4”大集团致胜策略以及“7”项需要增强的组织能力等关键成果，也因此才能逐步分解，形成2023年“9”大关键硬仗，形成凝聚着大家智慧的战略屋，为R集团未来的征途提供了灯塔一般的指引。</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\"> </span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">关键点2：强调落地</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">不能落地的战略大多都是臆想，战略要产生商业效果就取决于其是否具有高度的可落地性。</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">很多企业以往之所以无法做到战略的有效闭环，关键就在于计划的落地性不强。高潜咨询引导的本次战略解码项目，始终将强调落地贯穿于整个过程：</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">一方面，年度硬仗需要详细描述成功时候的样子与衡量标准，便于最后检核硬仗的完成程度，且硬仗行动计划需要详细拆解每一项具体举措，而针对每一项举措更要明确其完成时间、标志/里程碑、衡量指标及所需要的资源支持。</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">另一方面，各硬仗的负责人需要接受现场所有人对其计划可行性的不断质疑与反复挑战，并在PK后不断修改完善，如此，保证了硬仗难度的同时，更保证了行动计划中每一项举措的强落地性。</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\"> </span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">关键点3：力寻突破</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">若把企业的发展比作登山，执于原地可能只能看到脚下前方的悬崖，继而使之畏首畏尾，但若坚持创新突破，将眼光延及更远处，或许就能体会“会当凌绝顶，一览众山小”的绝唱。</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">由于所在行业产品同质化日趋严重，R集团逐渐受制于增量业务的困扰，找到新的突破点是其未来发展的重要事项。回顾整个战略解码过程，高潜咨询在战略澄清会上致力于帮助其规划“创新业务矩阵”，厘清创新突破方向，并在过程中讲解了企业“创新业务激励机制建设七步曲”，并引导其将“创新”作为致胜策略之一。</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\"> </span></p><p style=\"text-align: center;\"><img src=\"https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-4-4.jpg\" alt=\"\" data-href=\"\" style=\"\"><span style=\"font-family: 宋体;\"> </span></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体;\">高潜咨询创新业务激励机制建设七步曲</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">基于前期创新突破思维的导入，战略解码会上，R集团管理者们高瞻远瞩，在不断的研讨中对创新业务的发展达成了高度共识，至此，一来有了方向，二来有了方法，于是在集团的硬仗讨论中，管理者们充分将产品与业务的创新纳入2023硬仗的考量范围，直至最后，创新突破成为了R集团九大硬仗的其中之一。</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">此外，除业务及产品的创新外，高潜咨询还不断鼓励R集团内部管理的突破，如核心组织能力的打造突破、前中后台的资源支持突破等等，这些理念，无不引发了在场管理者们的高度共鸣。</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\"> </span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">六、客户评价</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">01 R集团总裁：</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">“要感谢吕老师和高潜，有同事和我说，这次和以前的任何一次会都不一样，老师的引导方式和能力都非常高，为我们遇到的问题和冲突提供了非常宝贵的建议和指导。”</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\"> </span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">02 R集团营销副总：</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">“业务不好的时候大家压力都大，这次战略解码帮助我们从高管共识、组织能力等方面把这些压力实实在在地分解下去，让大家团结到一起来打胜仗！”</span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\"> </span></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体;\">03 R集团人资副总：</span></p><p><span style=\"font-family: 宋体;\">“说实话，没开始之前，我内心其实很担忧，也很有压力，但是现在我的心态转变为了淡定，因为我厘清了外部的情况，看到了自己的差距，知道自己该干什么了，那就不怕了！”</span></p>",
    "coverUrl": "https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-4-1.jpg",
    "createTime": "2023-08-12 10:20"
  },
  {
    "id": 2,
    "title": "某医药公司的年中战略复盘会（下）",
    "author": "吕守升",
    "digest": "在某医药公司的年中战略复盘会（上）——《基于经营分析框架的战略复盘实践》一文中，H公司在郭宇老师及其团队的辅导下，将年中复盘会从以部门述职为主的形式转变成了以战略重点达成偏差的分析与总结为出发点的形式，高效地总结了上半年高速增长背后的竞争趋势，共识了部分战略指标落后的组织内部的不足之处 ",
    "content": "<p><span style=\"font-family: 微软雅黑;\">在某医药公司的年中战略复盘会（上）——《基于经营分析框架的战略复盘实践》一文中，H公司在郭宇老师及其团队的辅导下，将年中复盘会从</span><strong>以部门述职为主</strong><span style=\"font-family: 微软雅黑;\">的形式转变成了</span><strong>以战略重点达成偏差的分析与总结为出发点</strong><span style=\"font-family: 微软雅黑;\">的形式，高效地总结了上半年高速增长背后的竞争趋势，共识了部分战略指标落后的组织内部的不足之处。</span></p><p><span style=\"font-family: 微软雅黑;\">其中，尽管公司年初根据《战略解码》一书中的</span><strong>战略屋、RIDER模型</strong><span style=\"font-family: 微软雅黑;\">等产出了三年战略规划和年度硬仗，但在执行过程中尚有如下不足：</span></p><p>l <span style=\"font-family: 微软雅黑;\">在十四五规划期间最后的2年中的主要战场（业务增长领域）并不十分明确；</span></p><p>l <span style=\"font-family: 微软雅黑;\">中高层管理者参与度与共识度有限；</span></p><p>l <span style=\"font-family: 微软雅黑;\">年度硬仗（重点任务）未进一步分解未行动计划，效果不明显。</span></p><p><span style=\"font-family: 微软雅黑;\"> </span><img src=\"https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-1-1.png\" alt=\"\" data-href=\"\" style=\"\"/></p><p><span style=\"font-family: 微软雅黑;\">针对如上挑战，郭宇老师与全体中高管团队一起进行了为期两天的“精简版”战略解码研讨会。</span></p><p><span style=\"font-family: 微软雅黑;\"> </span></p><h2><strong>一、战略澄清：H公司战略规划迭代</strong></h2><p><span style=\"font-family: 微软雅黑;\">H公司在年初进行了战略规划与分解，但在确定主要战场（未来业务的增长点）方面，未能明确具体方向，这让一线业务负责人在有效配置资源方面遇到挑战。</span></p><p><span style=\"font-family: 微软雅黑;\"> </span></p><p><span style=\"font-family: 微软雅黑;\">因此，在战略澄清环节，高潜团队与H公司中高层重点研讨了战略屋的</span><strong>主要战场</strong><span style=\"font-family: 微软雅黑;\">部分。</span></p><p><span style=\"font-family: 微软雅黑;\"> </span></p><p><strong>1. 研讨医药行业的发展趋势</strong></p><p><span style=\"font-family: 微软雅黑;\">除高管团队外，H公司与会者都是来自各区域的负责人和总部业务线负责人，具有丰富的市场一线经验。</span></p><p><span style=\"font-family: 微软雅黑;\">在郭宇老师的引导下，通过打乱所在部门、随机分组研讨的形式，</span><span style=\"background-color: rgb(255, 255, 0); font-family: 微软雅黑;\">从市场洞察的五个维度（环境、行业、客户、竞争和自身）组织与会者展开热烈讨论，形成了以下两大核心问题上的共识。</span></p><p>l <span style=\"font-family: 微软雅黑;\">未来三年中，医药行业的战略机会点有哪些？</span></p><p>l <span style=\"font-family: 微软雅黑;\">未来三年中，医药行业的战略控制点将会是什么？</span></p><p><span style=\"font-family: 微软雅黑;\"> </span><img src=\"https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-1-2.png\" alt=\"\" data-href=\"\" style=\"\"/></p><p><strong>2. 形成H公司适用的市场划分维度</strong></p><p><span style=\"font-family: 微软雅黑;\">为了更好地理解和划分市场，高潜团队、行业专家与H公司业务团队一起共同设计了适用于H公司的市场划分的维度，</span><strong>（联系主要战场）</strong></p><p><span style=\"font-family: 微软雅黑;\"> </span></p><p><span style=\"font-family: 微软雅黑;\">以帮助H公司更好地切割客群、测算市场体量、理解客户需求、组织销售触客，同时，也为公司提供了一个选择业务和执行战略的有效框架。</span></p><p><img src=\"https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-1-3.png\" alt=\"\" data-href=\"\" style=\"\"/></p><p style=\"text-align: center;\"><span style=\"color: rgb(68, 114, 196); font-family: 微软雅黑;\">主要战场评价维度（部分）</span></p><p style=\"text-align: center;\"><span style=\"font-family: 微软雅黑;\"> </span></p><p><strong> </strong></p><p><strong>3. 设定未来业务发展的选择标准</strong></p><p><span style=\"font-family: 微软雅黑;\">郭宇老师与公司中高管团队、一线业务负责人共同讨论并确定了适用于H公司选择战场的</span><strong>吸引力、竞争力的评判标准</strong><span style=\"font-family: 微软雅黑;\">，并通过量化的行业数据、公司运营数据与非量化的专业判断，对已切割出来的细分市场进行评估。</span></p><p><span style=\"font-family: 微软雅黑;\"> </span><img src=\"https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-1-4.png\" alt=\"\" data-href=\"\" style=\"\"/></p><p style=\"text-align: center;\"><span style=\"color: rgb(68, 114, 196); font-family: 微软雅黑;\">业务导向主要战场研讨工具与实例</span></p><p style=\"text-align: center;\"><span style=\"font-family: 微软雅黑;\"> </span></p><p><strong>4. 确定主要战场</strong></p><p><span style=\"font-family: 微软雅黑;\">基于上述已确立的划分标准和选择标准，郭宇老师与参会人员共同确认了主要战场的</span><span style=\"background-color: rgb(255, 255, 0); font-family: 微软雅黑;\">八项业务，并将其划分至H公司的三个业务阶段当中，即：</span></p><p>l <span style=\"font-family: 微软雅黑;\">成熟业务：要保持的业务；</span></p><p>l <span style=\"font-family: 微软雅黑;\">成长业务：要大力发展的业务；</span></p><p>l <span style=\"font-family: 微软雅黑;\">新兴业务：要现在开始孵化的业务。</span></p><p><img src=\"https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-1-5.png\" alt=\"\" data-href=\"\" style=\"\"/></p><h2><strong>二、战略解码：H公司下半年重点工作调整</strong></h2><p><span style=\"font-family: 微软雅黑;\">第三天，郭宇老师引导全体中高管团队进行战略解码。</span></p><p><span style=\"font-family: 微软雅黑;\"> </span></p><p><strong>1. 硬仗确定与分解</strong></p><p><span style=\"font-family: 微软雅黑;\">基于三天会议中第一天的年中复盘、第二天的战略规划，H公司全体中高管团队研讨了2023年下半年的硬仗明确了行动计划：</span></p><p>l <span style=\"font-family: 微软雅黑;\">明确停止做、继续做、开始做的行动计划；</span></p><p>l <span style=\"font-family: 微软雅黑;\">承接迭代后的三年战略中首年的行动举措；</span></p><p>l <span style=\"font-family: 微软雅黑;\">支撑2023年度预算目标的达成。</span></p><p><span style=\"font-family: 微软雅黑;\"> </span></p><p><strong>2. 硬仗挂帅</strong></p><p><span style=\"font-family: 微软雅黑;\">硬仗明确后，需要有“主帅”对每场硬仗负全责。</span></p><p><span style=\"font-family: 微软雅黑;\">在H公司的战略解码会上，通过充分的研讨和集体共创，与会者充分认识到了每一场硬仗对公司短期业绩与长期战略的重要意义。</span></p><p><span style=\"font-family: 微软雅黑;\">因此，在硬仗揭榜挂帅的环节，公司班子成员纷纷主动请缨，给硬仗制定了极具挑战性的衡量指标，明确了支撑目标的行动方案。</span></p><p><span style=\"font-family: 微软雅黑;\"> </span></p><p><strong>客户评价：</strong></p><p><span style=\"font-family: 微软雅黑;\">正如H公司总经理所述，“短短的三天会议成果丰硕，在</span><strong>放眼未来、拉通思想，坚定战略、明确路径，凝聚士气、硬仗必胜</strong><span style=\"font-family: 微软雅黑;\">方面超出了最初的预期。公司期待得到高潜咨询的长期辅导，在不断突破创新的道路上有良师相伴。“</span></p><p><span style=\"font-family: 微软雅黑;\"> </span></p><p><span style=\"font-family: 微软雅黑;\">高潜咨询在过去两年的时间中辅导了100余家公司的战略硬仗编制与分解，基于不同行业积累了丰富的引导经验和硬仗策略，涵盖了驱动增长、降本增效、歼灭应收账款、客户升级、客户成功等多个战略主题，形成了业界领先的案例库。</span></p><p><span style=\"font-family: 微软雅黑;\"> </span></p><p><br></p>",
    "coverUrl": "https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-1-1.png",
    "createTime": "2023-08-05 12:40"
  },
  {
    "id": 3,
    "title": "某医药公司的年中战略复盘会（上）",
    "author": "吕守升",
    "digest": "7月份是上下半年交替的关键节点，很多公司都会在此时安排年中复盘，有些企业会称之为年中工作会、半年经营总结部署会，对上半年业务运行情况进行全面回顾，总结上半年的成功经验和存在问题、市场环境的变化与行业竞争动向，为开启下半年的工作提供参考和输入",
    "content": "<p><img src=\"https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-2-1.jpg\" alt=\"\" data-href=\"\" style=\"\"/></p><p><strong>导语：</strong></p><p style=\"text-indent: 24pt;\"><span style=\"font-family: 楷体;\">7月份是上下半年交替的关键节点，很多公司都会在此时安排年中复盘，有些企业会称之为年中工作会、半年经营总结部署会，对上半年业务运行情况进行全面回顾，总结上半年的成功经验和存在问题、市场环境的变化与行业竞争动向，为开启下半年的工作提供参考和输入。</span></p><p style=\"text-indent: 24pt;\"><span style=\"font-family: 楷体;\">今年7月初，H公司邀请了高潜咨询对他们的年中复盘会进行辅导。在郭宇老师及其团队的指导下，H公司基于高潜咨询“一报一会”的经营分析框架对年中复盘会进行了调整，主要体现在以下方面：</span></p><p><span style=\"font-family: 楷体;\">1. 总结了上半年成功经验，发现市场机遇； </span></p><p><span style=\"font-family: 楷体;\">2. 总结了运营中存在的问题，明确提升方向；</span></p><p><span style=\"font-family: 楷体;\">3. 通过跨部门协作得出了建设性结论；</span></p><p><span style=\"font-family: 楷体;\">4. 增强了团队达成十四五战略目标的信心。</span></p><p style=\"text-indent: 24pt;\"><span style=\"font-family: 楷体;\"> </span></p><p><span style=\"font-family: 宋体;\"> </span></p><h2><strong>公司背景</strong></h2><p><span style=\"font-family: 宋体;\">H公司系某国有控股上市公司旗下的区域运营公司，其主营业务为药品和医疗器械批发。</span></p><p><span style=\"font-family: 宋体;\"> </span></p><p><span style=\"font-family: 宋体;\">在2023年年初，《战略解码》的作者吕守升先生受H公司的母公司邀请，为其提供管理咨询服务。在吕守升先生的辅导下，该公司战略规划更为清晰，战略执行更为落地。</span></p><p><span style=\"font-family: 宋体;\"> </span></p><p><span style=\"font-family: 宋体;\">H公司沿用了《战略解码》一书中的方法，在企业内部自行组织了战略规划与战略解码，对企业的愿景、战略目标、主要战场等部分进行了梳理，并分解确定了相关年度硬仗。公司上半年实现收入同比增长45%、利润总额同比增长225%的业绩突破，H公司切实感受到了战略解码工具给他们带来的管理提升。</span></p><p><span style=\"font-family: 宋体;\"> </span></p><p><span style=\"font-family: 宋体;\">但同时，H公司也意识到在运营管理中还有诸多挑战。领导班子在召开年中复盘会之前，联系到了</span><strong>高潜咨询公司</strong><span style=\"font-family: 宋体;\">，希望在如下环节得到战略解码原创者高潜咨询“原滋原味”的指导：</span></p><p><span style=\"font-family: 宋体;\"> </span></p><p><span style=\"font-family: 楷体;\">1. 如何有效进行年中战略复盘；</span></p><p><span style=\"font-family: 楷体;\">2. 如何将战略重点落实到组织与个人绩效；</span></p><p><span style=\"font-family: 楷体;\">3. 如何进一步夯实“战略解码”体系中的年度硬仗和行动计划。</span></p><p><span style=\"font-family: 宋体;\"> </span></p><p><span style=\"font-family: 宋体;\">在了解到H公司的需求后，郭宇老师及其团队结合公司的实际状况有针对性地给出了解决方案，并按照以下流程进行了三天的辅导。</span></p><p><span style=\"font-family: 宋体;\"> </span></p><p><strong>Day 1:H公司年中复盘会</strong></p><p><strong>Day 2:H公司半年度战略迭代</strong></p><p><strong>Day 3:H公司下半年重点工作调整</strong></p><p><strong> </strong></p><p><strong>本期文章主要聚焦于第一天“H公司年中复盘会”的部分。</strong></p><p><strong> </strong></p><h2><strong>一、H公司的年中复盘的原计划是什么样的？</strong></h2><p><span style=\"font-family: 宋体;\">首先，郭宇老师指出了H公司</span><strong>原复盘安排</strong><span style=\"font-family: 宋体;\">的优缺点。</span></p><p><span style=\"font-family: 宋体;\"> </span></p><p><strong>H公司原复盘计划中的亮点：</strong></p><p><span style=\"font-family: 宋体;\">1. </span><strong>广泛的参与：</strong><span style=\"font-family: 宋体;\">H公司大范围地邀请了中高层管理人员参与复盘会议，扩大了讨论的人群范围，提升了会议的多元性与参与性。</span></p><p><span style=\"font-family: 宋体;\">2. </span><strong>充足的讨论时间：</strong><span style=\"font-family: 宋体;\">H公司为会议安排了足够的时间进行集体讨论，避免了交流仅在少数高管中进行，促进了全面而深入的讨论。</span></p><p><span style=\"font-family: 宋体;\">3. </span><strong>加强文化建设、突出价值导向</strong><span style=\"font-family: 宋体;\">：H公司在年中复盘会上安排了优秀个人和优秀团队的表彰环节，通过导向增量、导向创新业务的激励行为进一步强调战略方向、明确战略目标。</span></p><p><strong> </strong></p><p><strong>H公司原复盘计划中的不足：</strong></p><p><span style=\"font-family: 宋体;\">1. </span><strong>复盘会被误解为述职会</strong><span style=\"font-family: 宋体;\">：某些部门在复盘会中过于关注日常工作，而没有充分关注其部门重点工作对公司创新业务、制胜策略指标、年度硬仗的支撑性。</span></p><p><span style=\"font-family: 宋体;\">2. </span><strong>过于关注财务指标</strong><span style=\"font-family: 宋体;\">：评估指标过于依赖财务数据，缺乏基于平衡记分卡的客户层面、运营层面和能力层面的过程指标，导致过程管理滞后、效果难以显现。</span></p><p><span style=\"font-family: 宋体;\">3. </span><strong>缺少深度的根因分析与破局思考</strong><span style=\"font-family: 宋体;\">：在部分指标出现较大偏差后，公司没有预留足够的时间聚焦偏差根因的探讨与思考。特别是对会议进行总结，例如哪些行动计划有价值、需要继续做，哪些行动计划没价值、需要停止做。</span></p><p><span style=\"font-family: 宋体;\">4. </span><strong>发散讨论过多，未明确会后行动：</strong><span style=\"font-family: 宋体;\">讨论过程中发散性较多，未能明确哪些问题必须在会后尽快落实，由哪个部门负责，可能导致闭环管理的缺失。</span></p><p><img src=\"file:///C:\\Users\\fan\\AppData\\Local\\Temp\\ksohtml12624\\wps22.png\" alt=\"\" data-href=\"\" style=\"\"/><span style=\"font-family: 宋体;\"> </span><img src=\"https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-2-2.jpg\" alt=\"\" data-href=\"\" style=\"\"/></p><p style=\"text-align: center;\"><strong>H公司原复盘计划优缺点</strong></p><p><strong> </strong></p><h2><strong>二、如何改进H公司的年中复盘方案？</strong></h2><p><strong>1. 理论框架：经营分析</strong></p><p><span style=\"font-family: 宋体;\">每家公司都会定期组织经营分析会议，如周会、月会、季度会、半年会和年会等，定期检视年度目标的完成情况和运营的健康度。</span></p><p><span style=\"font-family: 宋体;\"> </span></p><p><span style=\"font-family: 宋体;\">但大多数公司难逃管理学中的帕金森定律（也称鸡毛蒜皮定律），将经营分析会议开成了部门碰头会，弊端不少：</span></p><p>l <span style=\"font-family: 宋体;\">重点不够明确，没有针对公司层面的核心挑战；</span></p><p>l <span style=\"font-family: 宋体;\">没有根因分析；</span></p><p>l <span style=\"font-family: 宋体;\">没有后续行动方案；</span></p><p>l <span style=\"font-family: 宋体;\">员工参与度不足，缺乏互动与沟通； </span></p><p>l <span style=\"font-family: 宋体;\">没有充分关注客户、竞争对手和行业趋势的发展。</span></p><p><span style=\"font-family: 宋体;\"> </span></p><p><span style=\"font-family: 宋体;\">经营分析会议的本质是公司的</span><strong>长期战略和年度预算在年度执行过程中的定期检视</strong><span style=\"font-family: 宋体;\">。</span></p><p><span style=\"font-family: 宋体;\"> </span></p><p><span style=\"font-family: 宋体;\">有效的经营分析体系，会把与战略相关的各项工作有效地分配在每年一次、每季一次或每月一次的工作节奏上，以确保这些重要的事项有效组织和落实。</span></p><p><span style=\"font-family: 宋体;\"> </span></p><p><span style=\"font-family: 宋体;\">正如《好战略，坏战略》一书中所讲，一个长期战略至少要包括三个方面：</span><strong>环境分析、商业模式和连续性举措</strong><span style=\"font-family: 宋体;\">；而战略解码和全面预算又将长期战略规划进一步分解到年度。</span></p><p><span style=\"font-family: 宋体;\"> </span></p><p><span style=\"font-family: 宋体;\">如果把</span><strong>月度经营分析会议/季度战略复盘会</strong><span style=\"font-family: 宋体;\">聚焦在上述这三方面，就可提升会议效率、保障战略达成：</span></p><p><span style=\"font-family: 宋体;\">1. </span><strong>环境分析：</strong><span style=\"font-family: 宋体;\">对客户增长、客户满意、市场份额、新产品表现等战略KPI的分析</span></p><p><span style=\"font-family: 宋体;\">2. </span><strong>商业模式：</strong><span style=\"font-family: 宋体;\">对主要战场和制胜策略的相关KPI分析</span></p><p><span style=\"font-family: 宋体;\">3. </span><strong>连续性举措：</strong><span style=\"font-family: 宋体;\">对年度硬仗的完成进度和衡量指标分析</span></p><p><span style=\"font-family: 宋体;\"> </span></p><p><span style=\"font-family: 宋体;\">因此，高潜咨询提出了以“</span><strong>一报一会”为核心的经营分析框架</strong><span style=\"font-family: 宋体;\">，有效将</span><strong>经营分析报告、经营分析会议</strong><span style=\"font-family: 宋体;\">与战略规划、年度硬仗和全面预算相承接。其中，“一报”为月度经营分析报告，“一会”为月度经营分析会议，两者相辅相成，为公司的运营健康做定期“体检”。</span></p><p><span style=\"font-family: 宋体;\"> </span></p><p style=\"text-align: center;\"><img src=\"https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-2-3.jpg\" alt=\"\" data-href=\"\" style=\"\"><img src=\"file:///C:\\Users\\fan\\AppData\\Local\\Temp\\ksohtml12624\\wps23.jpg\" alt=\"\" data-href=\"\" style=\"\"><span style=\"color: rgb(68, 114, 196); font-family: 宋体;\"> </span></p><p style=\"text-align: center;\"><strong>以“一报一会”为核心的经营分析框架</strong></p><p><strong> </strong></p><p><strong>2. 实践应用</strong></p><p><span style=\"font-family: 宋体;\">H公司的年中复盘会是一次具有战略意义的经营分析会议。</span></p><p><span style=\"font-family: 宋体;\"> </span></p><p><span style=\"font-family: 宋体;\">在分析和评估了H公司年中复盘会的原方案后，郭宇老师基于</span><strong>高潜咨询“一报一会”的经营分析框架</strong><span style=\"font-family: 宋体;\">，给出了调整意见：</span></p><p><span style=\"font-family: 宋体;\">1. </span><strong>聚焦公司层面预算指标的偏差与预算调整</strong><span style=\"font-family: 宋体;\">：将会议主要内容和时间，从关注各部门的分内事务报告转向公司层面的核心问题，抓大放小、聚焦核心管理；</span></p><p><span style=\"font-family: 宋体;\">2. </span><strong>关注过程指标的偏差识别与根因分析</strong><span style=\"font-family: 宋体;\">：从过度关注财务指标的偏差转变为更关注战略性主题，包括商业模式的竞争力、市场信息的同步和公司重点任务的进度等；</span></p><p><span style=\"font-family: 宋体;\">3. </span><strong>增加对年度硬仗（重点工作）的进度检讨环节</strong><span style=\"font-family: 宋体;\">：要求负责各项年度重点工作的分管领导做书面准备，针对年初制定的成功时的样子、工作进度与衡量指标进行现场报告，在项目相关部门与人员的讨论后形成下半年迭代后的行动计划；</span></p><p><span style=\"font-family: 宋体;\">4. </span><strong>增加市场洞察的同步与讨论</strong><span style=\"font-family: 宋体;\">：鼓励来自各职能和区域的中高管共享市场信息，以同步更丰富的信息洞察。</span></p><p><span style=\"font-family: 宋体;\">5. </span><strong>增加会前的跨部门预案准备环节</strong><span style=\"font-family: 宋体;\">：要求负责会议组织的战略运营部会前就报告中的重大偏差进行识别，并与相关业务部门提前进行预案准备。这种会前准备让会议进度高效、信息针对性强、成果富有建设性。</span></p><p><span style=\"font-family: 宋体;\">6. </span><strong>增加会后事项闭环跟踪安排</strong><span style=\"font-family: 宋体;\">：在会议结束时，明确会后要落实的事项，指定责任部门，实现闭环管理。</span></p><p style=\"text-align: center;\"><img src=\"https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-2-4.jpg\" alt=\"\" data-href=\"\" style=\"\"><img src=\"file:///C:\\Users\\fan\\AppData\\Local\\Temp\\ksohtml12624\\wps24.jpg\" alt=\"\" data-href=\"\" style=\"\"><strong> </strong></p><p style=\"text-align: center;\"><strong>原会议日程安排，主要以“述职”为主要目的</strong></p><p style=\"text-align: center;\"><img src=\"https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-2-5.jpg\" alt=\"\" data-href=\"\" style=\"\"><img src=\"file:///C:\\Users\\fan\\AppData\\Local\\Temp\\ksohtml12624\\wps25.jpg\" alt=\"\" data-href=\"\" style=\"\"><span style=\"font-family: 宋体;\"> </span></p><p style=\"text-align: center;\"><strong>调整后的复盘会议日程安排，以聚焦公司层面核心工作为主要目的</strong></p><p><span style=\"font-family: 宋体;\"> </span></p><p><span style=\"font-family: 宋体;\">此外，郭宇老师深入参与了H公司复盘的各主要环节，基于</span><strong>战略复盘五要素（见下图）</strong><span style=\"font-family: 宋体;\">，在诸多核心指标的偏差研讨和根因分析上反复强调用</span><strong>“系统二”（即跳出原有思维惯性，用不同角度重新审视）</strong><span style=\"font-family: 宋体;\">的思维方式进行讨论，分享行业优秀企业的实践，并要求最终落实到下半年的行动计划中。</span></p><p><span style=\"font-family: 宋体;\"> </span></p><p style=\"text-align: center;\"><img src=\"https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-2-6.jpg\" alt=\"\" data-href=\"\" style=\"\"></p><p style=\"text-align: center;\"><strong>战略复盘的五要素</strong></p><p><span style=\"font-family: 宋体;\"> </span></p><h2><strong>三、结语：</strong></h2><p><span style=\"font-family: 宋体;\">通过高潜专家团队的指导，H公司对年中复盘会的形式、内容与流程做出了改进。如H公司总经理所言，本次复盘会的突破主要体现为：</span></p><p>l <span style=\"font-family: 宋体;\">总结了上半年成功经验，发现市场机遇； </span></p><p>l <span style=\"font-family: 宋体;\">总结了运营中存在的问题，明确提升方向；</span></p><p>l <span style=\"font-family: 宋体;\">通过跨部门协作得出了建设性结论；</span></p><p>l <span style=\"font-family: 宋体;\">增强了团队达成十四五战略目标的信心。</span></p><p><span style=\"font-family: 宋体;\"> </span></p><p><span style=\"font-family: 宋体;\">同时，公司也意识到以下工作仍需改进：</span></p><p>l <span style=\"font-family: 宋体;\">需要进一步加强年度重点工作（年度硬仗）的执行，以夯实未来业绩持续提升的基础；</span></p><p>l <span style=\"font-family: 宋体;\">需要进一步深化三项制度改革和党建工作，通过绩效、职级等精细化管理，吸引行业人才、提升企业竞争力；</span></p><p>l <span style=\"font-family: 宋体;\">需要进一步深入对市场的洞察，做出战略选择、明确未来的增长点。</span></p><p><span style=\"font-family: 宋体;\"> </span></p><p><span style=\"font-family: 宋体;\">高潜咨询专家团队在复盘会结束后的两天里，就上述工作内容，引导H公司中高管团队开展战略研讨会，共创了主要战场取舍、制胜策略共识、组织能力支撑、下半年硬仗和行动计划分解。</span></p><p><span style=\"font-family: 宋体;\">详情见于下期文章：</span><strong>《高潜案例 | 某医药公司的年中战略复盘会（下）——战略澄清与硬仗行动的迭代》，</strong><span style=\"font-family: 宋体;\">敬请期待。</span></p>",
    "coverUrl": "https://hi-po.oss-cn-beijing.aliyuncs.com/anli/anli-2-1.jpg",
    "createTime": "2023-07-31 11:40"

  },
]
